<script>
export default {
  props: {
    role: {
      type: Object,
      required: true,
    },
  },
};
</script>

<template>
  <div class="role-item">
    <div class="role-item__avatar">
      <v-avatar size="36" tile color="info">
        <v-icon dark> mdi-account </v-icon>
      </v-avatar>
    </div>

    <p>{{ role.name }}</p>
  </div>
</template>

<style lang="scss" scoped>
.role-item {
  border: 1px solid rgba(42, 49, 74, 0.2);
  border-radius: 10px;
  padding: 6px;
  width: fit-content;
  display: flex;
  flex-direction: column;
  align-items: center;

  &__avatar {
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 8px;
  }

  p {
    font-size: 12px;
    color: #212121;
    text-align: center;
  }
}
</style>
